HORIZON HASKELLDocslts/ghc-9.10.x248f8f02026-10-05Search names, modules, packages, or :: a typeCtrl K

GHC 9.10.3 · lts/ghc-9.10.x · 248f8f0 · 2026-10-05

Modulestripeapi-3.0.0.0Haskell2010

StripeAPI.Operations.PostIdentityVerificationSessionsSessionCancel

Contains the different functions to run the operation postIdentityVerificationSessionsSessionCancel

  • 2 types
  • 2 values
  • Packagestripeapi-3.0.0.0
  • Exports4
  • LanguageHaskell2010
  • LicenceMIT
  • SourcePostIdentityVerificationSessionsSessionCancel.hs
valuepostIdentityVerificationSessionsSessionCancel
  1. :: MonadHTTP m
  2. => Text

    session | Constraints: Maximum length of 5000

  3. -> Maybe PostIdentityVerificationSessionsSessionCancelRequestBody

    The request body to send

  4. -> ClientT m (Response PostIdentityVerificationSessionsSessionCancelResponse)

    Monadic computation which returns the result of the operation

#
POST /v1/identity/verification_sessions/{session}/cancel

<p>A VerificationSession object can be canceled when it is in <code>requires_input</code> <a href="/docs/identity/how-sessions-work">status</a>.</p>

<p>Once canceled, future submission attempts are disabled. This cannot be undone. <a href="/docs/identity/verification-sessions#cancel">Learn more</a>.</p>

Defines the object schema located at paths./v1/identity/verification_sessions/{session}/cancel.POST.requestBody.content.application/x-www-form-urlencoded.schema in the specification.

Constructors

Instances4Eq, Show, FromJSON, ToJSON

Represents a response of the operation postIdentityVerificationSessionsSessionCancel.

The response constructor is chosen by the status code of the response. If no case matches (no specific case for the response code, no range case, no default case), PostIdentityVerificationSessionsSessionCancelResponseError is used.

Instances2Eq, Show